Subject: Re: [Cfrg] CFRG Review Panel - Draft Charter

From: "Paterson, Kenny" <[email-masked]>
Date: Wed, 20 Jul 2016 20:58:19 +0000

Dear CFRG,

Alexey and I would like to thank people for responding to our call for
feedback on the Crypto Review Panel idea. Feedback has been generally
positive and we had some good suggestions on the scope and possible
contents of reviews (thanks particularly to Yoav Nir and Yaron Sheffer for
their thoughts). We will incorporate those suggestions in a more refined
"charter text" in due course.

Moving forward, we would now like to issue a formal call for nominations
for members of the panel. Self-nominations are welcome (and indeed
expected!). Nominations should be received by the chairs by CoB on
September 9th. Nominations should at a minimum include an e-mail address
for follow-up and a paragraph or two of rationale (e.g. outlining relevant
experience and skills).

Questions on- or off-list are welcome.

Best wishes,

Kenny (for the chairs)

On 10/05/2016 13:56, "Cfrg on behalf of Alexey Melnikov"
<[email-masked] on behalf of [email-masked]> wrote:

>Dear CFRG participants,
>Kenny and I would like to solicit comments on the Crypto Review Panel
>that we announced in Buenos Aires.
>
>
>We would like to solicit review of objectives and process outlined below.
>Please express your opinions and/or suggest your edits by the end of May
>22nd. Both replies to the mailing list and directly to chairs are
>welcomed.
>
>
>Best Regards,
>Kenny and Alexey
>
>
>CFRG Review Panel
>
>
>
>
>
>
>Objectives:
>
>
>CFRG is a volunteer-led activity that currently relies on the goodwill of
>its participants to provide review of documents.
> This can result in documents not receiving enough scrutiny, or
>examination only being forthcoming over an unacceptably long period
> of time. Also, there is lack of consistency between reviews of different
>documents.
>
>
>The CFRG Review Panel will ensure that CFRG chairs have at their disposal
>sufficient resources and lightweight processes
> to provide critical, objective, timely and consistent review of
>cryptographic algorithms
> in IRTF and IETF documents.
>
>
>The recommendations coming out of panel reviews will not be binding on
>CFRG, but are intended to provide high-quality
> input to augment the usual development process for CFRG drafts.
>
>
>Reviews will identify issues - both security issues and deployment issues
>- but not necessarily low-level nits and
> typos. Reviews will also identify relevant research, or the need for
>further research.
>
>
>
>
>
>
>Processes:
>
>
>When CFRG chairs decide that a document would benefit from a panel
>review, they will select one or more reviewers
> and request a review within a given time period (typically 2 to 4
>weeks). Reviews will be made public via the CFRG mailing list; private
> discussion between reviewers, authors and CFRG chairs may also take
>place.
>
>
>A document's authors may identify conflicts and conflicts of interest
>with particular panel members. Such conflicts
> should be notified to the CFRG chairs by the authors (or panel members)
>when the chairs initiate the review process.
>
>
>Not every CFRG draft needs to be reviewed by the panel; documents that
>are not CFRG drafts may also be reviewed by
> the panel.
>
>
>The CFRG chairs will make appointments to the Review Panel.  The panel
>will be composed of 6-8 members; it may be
> increased in size by the CFRG chairs should the number of documents to
>review necessitate the increase.
>
>
>Reviewers will be appointed to the panel for a period of 2 years,
>renewable. The CFRG chairs will endeavour to ensure
> that the Review Panel has a balanced composition covering the main
>technical areas of relevance to CFRG. Individuals may self-nominate
> or nominate others for panel membership.
>
>
>Being a panel member represents a commitment to review documents in a
>timely and thorough fashion; reviewers' panel
> membership will be rescinded at the discretion of the CFRG chairs.
>
>
>
>
>